summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorPeter Maydell <peter.maydell@linaro.org>2012-10-22 12:54:39 +0100
committerMarcelo Tosatti <mtosatti@redhat.com>2012-10-30 23:39:53 -0200
commitb55f546eefe79cb6e6b15ebb23f352a736bafc39 (patch)
treed30c1edd80d4ab6e18afb195083dfabe3c2af8c1
parent12869995ea4f436ab76af5059fd2e9ae83c6cf9d (diff)
downloadqemu-b55f546eefe79cb6e6b15ebb23f352a736bafc39.tar.gz
update-linux-headers.sh: Handle new kernel uapi/ directories
Recent kernels have moved to keeping the userspace headers in uapi/ subdirectories. This breaks the detection of whether an architecture has KVM support in the kernel because kvm.h has moved in the kernel source tree. Update the check to support both the old and new locations. Signed-off-by: Peter Maydell <peter.maydell@linaro.org> Signed-off-by: Marcelo Tosatti <mtosatti@redhat.com>
-rwxr-xr-xscripts/update-linux-headers.sh3
1 files changed, 2 insertions, 1 deletions
diff --git a/scripts/update-linux-headers.sh b/scripts/update-linux-headers.sh
index 67be2efecd..4c7b566fdf 100755
--- a/scripts/update-linux-headers.sh
+++ b/scripts/update-linux-headers.sh
@@ -34,7 +34,8 @@ ARCHLIST=$(cd "$linux/arch" && echo *)
for arch in $ARCHLIST; do
# Discard anything which isn't a KVM-supporting architecture
- if ! [ -e "$linux/arch/$arch/include/asm/kvm.h" ]; then
+ if ! [ -e "$linux/arch/$arch/include/asm/kvm.h" ] &&
+ ! [ -e "$linux/arch/$arch/include/uapi/asm/kvm.h" ] ; then
continue
fi